XML::DOM::ElementDecl(3)

NAME
XML::DOM::ElementDecl - An XML ELEMENT declaration in XML::DOM

DESCRIPTION
XML::DOM::ElementDecl extends XML::DOM::Node but is not part of the DOM Level 1 specification.

This node represents an Element declaration, e.g.

 <!ELEMENT address (street+, city, state, zip, country?)>

  METHODS

getName
    Returns the Element tagName.

getModel and setModel (model)
    Returns and sets the model as a string, e.g. "(street+, city, state, zip, country?)" in the above example.